# Class: Branch

## Branch()

Branch represents note's placement in the tree - it's essentially pair of noteId and parentNoteId. Each note can have multiple (at least one) branches, meaning it can be placed into multiple places in the tree.

## Constructor

#### new Branch()

##### Properties:

Name | Type | Description
--- | --- | ---
`branchId` | string | primary key
`noteId` | string |
`parentNoteId` | string |
`notePosition` | int |
`prefix` | string |
`isExpanded` | boolean |
`isDeleted` | boolean |
`utcDateModified` | string |
`utcDateCreated` | string |

Source:
  - entities/branch.js, line 30

### Extends

- Entity

### Methods

#### (async) getNote() → {Note|null}

Source:
  - entities/branch.js, line 38

##### Returns:

Type
  Note | null